<template>
  <div>
    <h3 class="center">
      {{ $t('results') }} : <span class="text-success">{{ nbOk }}</span> {{ $t('success') }} | <span class="text-primary">{{ nbMaj }}</span>
      {{ $t('update') }} | <span class="text-danger">{{ nbError }}</span> {{ $t('error') }}
    </h3>
    <ul :style="customColorStyle" v-show="nbError !== 0">
      <li v-bind:key="index" v-for="(item, index) in response">{{ $t('line') }} {{ item.numRow }} {{ $t('of-sheet') }} : <span class="text-danger"> {{ item.msg }} </span></li>
    </ul>
    <div class="center">
      <button @click="back" class="btn btn-outline-primary">{{ $t('back') }} </button>
    </div>
  </div>
</template>

<script>
import custom from '@/shared/custom'
export default {
  data () {
    return {
      response: [],
      nbOk: 0,
      nbMaj: 0,
      nbError: 0
    }
  },
  methods: {
    initTitle () {
      this.$response.forEach(item => {
        const msg = item.msg
        if (msg === 'ok') {
          this.nbOk++
        } else if (msg === 'maj') {
          this.nbMaj++
        } else {
          this.nbError++
          this.response.push(item)
        }
      })
    },
    back () {
      this.$router.push('/insert')
    }
  },
  computed: {
    customColorStyle () {
      return custom.customColorStyle()
    }
  },
  created () {
    this.initTitle()
  }
}
</script>

<style>
.center {
  margin-top: 15px;
  text-align: center;
}
ul {
  margin: 30px 7% 0 7%;
  border-radius: 15px;
  padding: 20px;
}
li {
  margin: 10px 10px;
}
</style>
